package bean;

import java.io.Serializable;

public class Synonym implements Serializable {
   private String schema;
   private String name;
   private String tableName;
   private String tableOwner;

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getTableName() {
      return this.tableName;
   }

   public void setTableName(String tableName) {
      this.tableName = tableName;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public Synonym(String name, String tableName) {
      this.name = name;
      this.tableName = tableName;
   }

   public Synonym(String schema, String tableName, String name) {
      this.schema = schema;
      this.name = name;
      this.tableName = tableName;
   }

   public String getTableOwner() {
      return this.tableOwner;
   }

   public void setTableOwner(String tableOwner) {
      this.tableOwner = tableOwner;
   }
}
